﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             x:Class="Borepin.Page.AddServerProcess.AuthPlainPage"
             xmlns:converters="clr-namespace:Borepin.Converter"
             xmlns:resource_text="clr-namespace:Borepin.Resources.Text"
             Title="{x:Static resource_text:TextResource.TITLE_ConnectToServer}">
    <ContentPage.Resources>
        <ResourceDictionary>
            <converters:InvertBoolConverter x:Key="InvertBoolConverter"/>
        </ResourceDictionary>
    </ContentPage.Resources>
    <ContentPage.Content>
        <StackLayout Padding="20">
            <StackLayout IsVisible="{Binding IsBusy}">
                <Label Text="{x:Static resource_text:TextResource.AddServerProcess_SelectServerPage_TryConnection}" IsVisible="{Binding TestConnection}" Style="{StaticResource Style_Label_Text_Center}"/>
                <ActivityIndicator IsRunning="{Binding IsBusy}"/>
            </StackLayout>
            <StackLayout IsVisible="{Binding IsBusy, Converter={StaticResource InvertBoolConverter}}">
                <Label Text="{x:Static resource_text:TextResource.USERNAME}" Style="{StaticResource Style_Label_Property_Title}"></Label>
                <Entry Text="{Binding Username}" IsSpellCheckEnabled="false"/>

                <Label Text="{x:Static resource_text:TextResource.PASSWORD}" Style="{StaticResource Style_Label_Property_Title}"></Label>
                <Entry Text="{Binding Password}" IsPassword="True"/>

                <Button Text="{x:Static resource_text:TextResource.AddServerProcess_AuthPlainPage_Login}" Command="{Binding AuthenticateCommand}" Style="{StaticResource Style_Button_Primary}"/>
            </StackLayout>
        </StackLayout>
    </ContentPage.Content>
</ContentPage>